#include <QNetworkReply>

#include "apirequest.h"

APIRequest::APIRequest(QObject *parent) : QObject(parent)
{

}

APIRequest::~APIRequest()
{
    if(mNetworkReply != nullptr)
        mNetworkReply->deleteLater();
}

QString APIRequest::URI() const
{
    return mURI;
}

void APIRequest::setURI(const QString &uRI)
{
    mURI = uRI;
}

void APIRequest::addString(QString name, QString value)
{
    mArguments.append(APIRequestParameter(name, value));
}

void APIRequest::addInt(QString name, int value)
{
    mArguments.append(APIRequestParameter(name, QString::number(value)));
}

void APIRequest::addBool(QString name, bool value)
{
    mArguments.append(APIRequestParameter(name, value ? "true" : "false"));
}

QList<APIRequestParameter> APIRequest::arguments() const
{
    return mArguments;
}

QNetworkReply *APIRequest::networkReply() const
{
    return mNetworkReply;
}

void APIRequest::setNetworkReply(QNetworkReply *networkReply)
{
    mNetworkReply = networkReply;
}
