#include <QMessageBox>

#include "conversationslistwidget.h"
#include "../helpers/conversationslisthelper.h"
#include "../helpers/usershelper.h"
#include "../data/conversationslist.h"

ConversationsListWidget::ConversationsListWidget(QWidget *parent) :
    QWidget(parent)
{
    //Create conversations helper
    mConversationsList = new ConversationsListHelper(this);
    connect(mConversationsList, &ConversationsListHelper::onGotList, this, &ConversationsListWidget::onGotConversationsList);

    //Create users helper
    mUsersHelper = new UsersHelper(this);
    connect(mUsersHelper, &UsersHelper::onGotUsersInfo, this, &ConversationsListWidget::onGotUsersInfo);
}

ConversationsListWidget::~ConversationsListWidget()
{

}

void ConversationsListWidget::refresh()
{
    mConversationsList->getList();
}

void ConversationsListWidget::onGotConversationsList(bool success, const ConversationsList &list)
{
    qWarning("Got conversations list callback.");

    if(!success){
        QMessageBox::warning(this, tr("Error"), tr("Could not get the list of conversations!"));
        return;
    }

    //Get the list of users
    mUsersHelper->getList(list.getAllMembersId());
}

void ConversationsListWidget::onGotUsersInfo(bool success, const QList<User> &users)
{
    if(!success){
        QMessageBox::warning(this, tr("Error"), tr("Could not get information about the members of the conversations!"));
        return;
    }

    qDebug("Got the list of members of the conversations.");
    //TODO : use ConversationItemWidget
}
